#ifndef CHIP_STM32F0XX_REGS_USART_H
#define CHIP_STM32F0XX_REGS_USART_H

#include <stdint.h>
#include "chip_devtype_spec_features.h"

#define CHIP_SUPPORT_USART_PRESC        0
#define CHIP_SUPPORT_USART_FIFO         0
#define CHIP_SUPPORT_USART_SYNC_SLAVE   0
#define CHIP_SUPPORT_USART_TCBGT_FLAG   0

#include "stm32_usart_v2_regs.h"

#define CHIP_REGS_USART1                ((CHIP_REGS_USART_T *) CHIP_MEMRGN_ADDR_PERIPH_USART1)
#if CHIP_DEV_UART_CNT >= 2
#define CHIP_REGS_USART2                ((CHIP_REGS_USART_T *) CHIP_MEMRGN_ADDR_PERIPH_USART2)
#endif
#if CHIP_DEV_UART_CNT >= 4
#define CHIP_REGS_USART3                ((CHIP_REGS_USART_T *) CHIP_MEMRGN_ADDR_PERIPH_USART3)
#define CHIP_REGS_USART4                ((CHIP_REGS_USART_T *) CHIP_MEMRGN_ADDR_PERIPH_USART4)
#endif
#if CHIP_DEV_UART_CNT >= 8
#define CHIP_REGS_USART5                ((CHIP_REGS_USART_T *) CHIP_MEMRGN_ADDR_PERIPH_USART5)
#define CHIP_REGS_USART6                ((CHIP_REGS_USART_T *) CHIP_MEMRGN_ADDR_PERIPH_USART6)
#define CHIP_REGS_USART7                ((CHIP_REGS_USART_T *) CHIP_MEMRGN_ADDR_PERIPH_USART5)
#define CHIP_REGS_USART8                ((CHIP_REGS_USART_T *) CHIP_MEMRGN_ADDR_PERIPH_USART6)
#endif


#define CHIP_DEV_LPUART_CNT             0

#define CHIP_USART_SUPPORT_SYNC(n)      1
#define CHIP_USART_SUPPORT_FIFO(n)      0
#define CHIP_USART_SUPPORT_PRESC(n)     0


#endif // CHIP_STM32F0XX_REGS_USART_H
